%define        gimpver          2.0
%define        _gimppluginsdir  %{_libdir}/gimp/%{gimpver}/plug-ins

Name:          gimp-separate+
Version:       0.5.3
Release:       1%{?dist}
Summary:       A plugin providing rudimentary CMYK support for The GIMP
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://cue.yellowmagic.info/softwares/separate.html
Source:        http://gimp-registry.fargonauten.de/files/separate+-%{version}.zip
License:       GPLv2+
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: glibc-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: gimp-devel
BuildRequires: glib2-devel >= %{gimpver}
BuildRequires: gtk2-devel
BuildRequires: lcms-devel
BuildRequires: pango-devel
BuildRequires: libtiff-devel

Provides:	gimp-cmyk
Obsoletes:	gimp-cmyk

Requires:      gimp >= %{gimpver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root


%description
Separate+ is a GIMP plug-in that convert an RGB image to CMYK format.

%prep

%setup -q  -n separate+-%{version}

%build
%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 separate \
   %{buildroot}%{_gimppluginsdir}/separate
install -D -m755 separate_import \
   %{buildroot}%{_gimppluginsdir}/separate_import 
install -D -m755 icc_colorspace \
   %{buildroot}%{_gimppluginsdir}/icc_colorspace 

mkdir -p %{buildroot}%{_datadir}/color/icc

cp sRGB/sRGB\ Color\ Space\ Profile.icm  %{buildroot}%{_datadir}/color/icc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_gimppluginsdir}/separate
%{_gimppluginsdir}/separate_import
%{_gimppluginsdir}/icc_colorspace
%{_datadir}/color/icc/*.icm
%doc COPYING README README_ICC_COLORSPACE

%changelog
* Tue Nov 25 2008 Peter Hanecak <hany@hany.sk> 0.5.3-1
- fixed URL

* Tue Aug 26 2008 Peter Hanecak <hany@hany.sk> 0.5.2-1
- updated to 0.5.2
- adapted to Doors (Fedora)

* Wed Mar 05 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.5.0-1mamba
- package created by autospec
